Get all webhook registrations
curl --request GET \
--url https://app.sandbox.rio.trade/api/webhooks \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/webhooks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"userId": "66562bc04fe8bf83c577c178",
"type": "orders",
"url": "https://app.test.rio.trade/en/account",
"id": "66733d33222710ab2785dc62",
"retryOnFailure": true
}
]Webhooks API
Get Webhooks
GET
/
api
/
webhooks
Get all webhook registrations
Authorizations
Query Parameters
User id to filter the results.
Used to specify the current page you want to get in the paging results.
Used to specify the maximum number of records to be returned on a single page.
Response
200 - application/json
OK
Id of the user that the webhook is for
Example:
"66562bc04fe8bf83c577c178"
Type of webhook
Available options:
orders, bank-accounts, users URL to send the webhook to
Example:
"https://app.test.rio.trade/en/account"
Id of the webhook registration
Example:
"66733d33222710ab2785dc62"
Whether the webhook will retry on failure
Example:
true